﻿echo off
cls

SET MY_PATH=%~0
for /f "delims=\ tokens=*" %%z in ("%MY_PATH%") do (
	SET CURRENT_DIR=%%~dz%%~pz
)

rem Check whether hostio daemon is running
tasklist | find "hostio.exe" > NUL
if not %errorlevel%==0 goto HIO_NOTFOUND

rem Load the CCI file to the debugger to execute it
set CMDTOOLS_DIR=%CTRSDK_ROOT%\tools\CommandLineTools
set CCI=NewsDataChecker.cci
%CMDTOOLS_DIR%\ctr_loadrun32.exe -c CLS,/L -c "rdc %CURRENT_DIR%\%CCI%" -c "ZN EMU=EJE" -c "ZN EMU=INS" -nw -ns

exit /b

:HIO_NOTFOUND
echo [error]
echo HOST IO daemon is not running.
echo In the Start Menu, 
echo select PARTNER-CTR HIO-Daemon and PARTNER-CTR HIO-Daemon
echo to run the HOST IO daemon.
echo -------------------------------------------------
pause
